diff -urN linux-2.6.0-test1/arch/mips/galileo-boards/ev96100/setup.c linux-2.6.0-test1-printk-mips/arch/mips/galileo-boards/ev96100/setup.c
--- linux-2.6.0-test1/arch/mips/galileo-boards/ev96100/setup.c	2003-07-13 23:35:16.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/galileo-boards/ev96100/setup.c	2003-07-16 19:57:55.000000000 -0400
@@ -79,56 +79,56 @@
 	clear_c0_status(ST0_FR);
 
         if (config & 0x8) {
-            printk("Secondary cache is enabled\n");
+            printk(KERN_INFO "Secondary cache is enabled\n");
         }
         else {
-            printk("Secondary cache is disabled\n");
+            printk(KERN_INFO "Secondary cache is disabled\n");
         }
 
         if (status & (1<<27)) {
-            printk("User-mode cache ops enabled\n");
+            printk(KERN_INFO "User-mode cache ops enabled\n");
         }
         else {
-            printk("User-mode cache ops disabled\n");
+            printk(KERN_INFO "User-mode cache ops disabled\n");
         }
 
-        printk("CP0 info reg: %x\n", (unsigned)info);
+        printk(KERN_INFO "CP0 info reg: %x\n", (unsigned)info);
         if (info & (1<<28)) {
-            printk("burst mode Scache RAMS\n");
+            printk(KERN_INFO "burst mode Scache RAMS\n");
         }
         else {
-            printk("pipelined Scache RAMS\n");
+            printk(KERN_INFO "pipelined Scache RAMS\n");
         }
 
         if ((info & (0x3<<26)) >> 26 == 0) {
-            printk("67 percent drive strength\n");
+            printk(KERN_INFO "67 percent drive strength\n");
         }
         else if ((info & (0x3<<26)) >> 26 == 1) {
-            printk("50 percent drive strength\n");
+            printk(KERN_INFO "50 percent drive strength\n");
         }
         else if ((info & (0x3<<26)) >> 26 == 2) {
-            printk("100 percent drive strength\n");
+            printk(KERN_INFO "100 percent drive strength\n");
         }
         else if ((info & (0x3<<26)) >> 26 == 3) {
-            printk("83 percent drive strength\n");
+            printk(KERN_INFO "83 percent drive strength\n");
         }
 
 
         if ((info & (0x3<<23)) >> 23 == 0) {
-            printk("Write Protocol: R4000 compatible\n");
+            printk(KERN_INFO "Write Protocol: R4000 compatible\n");
         }
         else if ((info & (0x3<<23)) >> 23 == 1) {
-            printk("Write Protocol: Reserved\n");
+            printk(KERN_INFO "Write Protocol: Reserved\n");
         }
         else if ((info & (0x3<<23)) >> 23 == 2) {
-            printk("Write Protocol: Pipelined\n");
+            printk(KERN_INFO "Write Protocol: Pipelined\n");
         }
         else if ((info & (0x3<<23)) >> 23 == 3) {
-            printk("Write Protocol: Write re-issue\n");
+            printk(KERN_INFO "Write Protocol: Write re-issue\n");
         }
 
         if (info & 0x1) {
-            printk("Atomic Enable is set\n");
+            printk(KERN_INFO "Atomic Enable is set\n");
         }
 
 	argptr = prom_getcmdline();
diff -urN linux-2.6.0-test1/arch/mips/galileo-boards/ev96100/time.c linux-2.6.0-test1-printk-mips/arch/mips/galileo-boards/ev96100/time.c
--- linux-2.6.0-test1/arch/mips/galileo-boards/ev96100/time.c	2003-07-13 23:34:30.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/galileo-boards/ev96100/time.c	2003-07-16 19:56:41.000000000 -0400
@@ -106,7 +106,7 @@
 	est_freq = 2*r4k_offset*HZ;
 	est_freq += 5000;    /* round */
 	est_freq -= est_freq%10000;
-	printk("CPU frequency %d.%02d MHz\n", est_freq/1000000,
+	printk(KERN_INFO "CPU frequency %d.%02d MHz\n", est_freq/1000000,
 	       (est_freq%1000000)*100/1000000);
 	r4k_cur = (read_c0_count() + r4k_offset);
 
diff -urN linux-2.6.0-test1/arch/mips/gt64120/common/gt_irq.c linux-2.6.0-test1-printk-mips/arch/mips/gt64120/common/gt_irq.c
--- linux-2.6.0-test1/arch/mips/gt64120/common/gt_irq.c	2003-07-13 23:36:48.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/gt64120/common/gt_irq.c	2003-07-17 16:43:29.000000000 -0400
@@ -170,7 +170,7 @@
 	 */
 	if (handled == 0) {
 		if (counter < 50) {
-			printk("Spurious Galileo interrupt...\n");
+			printk(KERN_NOTICE "Spurious Galileo interrupt...\n");
 			counter++;
 		}
 	}
diff -urN linux-2.6.0-test1/arch/mips/gt64120/momenco_ocelot/irq.c linux-2.6.0-test1-printk-mips/arch/mips/gt64120/momenco_ocelot/irq.c
--- linux-2.6.0-test1/arch/mips/gt64120/momenco_ocelot/irq.c	2003-07-13 23:28:55.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/gt64120/momenco_ocelot/irq.c	2003-07-17 16:42:15.000000000 -0400
@@ -163,7 +163,7 @@
 	gt64120_irq_init();
 
 #ifdef CONFIG_REMOTE_DEBUG
-	printk("start kgdb ...\n");
+	printk(KERN_DEBUG "start kgdb ...\n");
 	set_debug_traps();
 	breakpoint();	/* you may move this line to whereever you want :-) */
 #endif
diff -urN linux-2.6.0-test1/arch/mips/gt64120/momenco_ocelot/setup.c linux-2.6.0-test1-printk-mips/arch/mips/gt64120/momenco_ocelot/setup.c
--- linux-2.6.0-test1/arch/mips/gt64120/momenco_ocelot/setup.c	2003-07-13 23:34:31.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/gt64120/momenco_ocelot/setup.c	2003-07-17 16:42:56.000000000 -0400
@@ -180,26 +180,26 @@
 
 	tmpword = OCELOT_PLD_READ(BOARDREV);
 	if (tmpword < 26)
-		printk("Momenco Ocelot: Board Assembly Rev. %c\n", 'A'+tmpword);
+		printk(KERN_INFO "Momenco Ocelot: Board Assembly Rev. %c\n", 'A'+tmpword);
 	else
-		printk("Momenco Ocelot: Board Assembly Revision #0x%x\n", tmpword);
+		printk(KERN_INFO "Momenco Ocelot: Board Assembly Revision #0x%x\n", tmpword);
 
 	tmpword = OCELOT_PLD_READ(PLD1_ID);
-	printk("PLD 1 ID: %d.%d\n", tmpword>>4, tmpword&15);
+	printk(KERN_INFO "PLD 1 ID: %d.%d\n", tmpword>>4, tmpword&15);
 	tmpword = OCELOT_PLD_READ(PLD2_ID);
-	printk("PLD 2 ID: %d.%d\n", tmpword>>4, tmpword&15);
+	printk(KERN_INFO "PLD 2 ID: %d.%d\n", tmpword>>4, tmpword&15);
 	tmpword = OCELOT_PLD_READ(RESET_STATUS);
-	printk("Reset reason: 0x%x\n", tmpword);
+	printk(KERN_INFO "Reset reason: 0x%x\n", tmpword);
 	reset_reason = tmpword;
 	OCELOT_PLD_WRITE(0xff, RESET_STATUS);
 
 	tmpword = OCELOT_PLD_READ(BOARD_STATUS);
-	printk("Board Status register: 0x%02x\n", tmpword);
-	printk("  - User jumper: %s\n", (tmpword & 0x80)?"installed":"absent");
-	printk("  - Boot flash write jumper: %s\n", (tmpword&0x40)?"installed":"absent");
-	printk("  - Tulip PHY %s connected\n", (tmpword&0x10)?"is":"not");
-	printk("  - L3 Cache size: %d MiB\n", (1<<((tmpword&12) >> 2))&~1);
-	printk("  - SDRAM size: %d MiB\n", 1<<(6+(tmpword&3)));
+	printk(KERN_INFO "Board Status register: 0x%02x\n", tmpword);
+	printk(KERN_INFO "  - User jumper: %s\n", (tmpword & 0x80)?"installed":"absent");
+	printk(KERN_INFO "  - Boot flash write jumper: %s\n", (tmpword&0x40)?"installed":"absent");
+	printk(KERN_INFO "  - Tulip PHY %s connected\n", (tmpword&0x10)?"is":"not");
+	printk(KERN_INFO "  - L3 Cache size: %d MiB\n", (1<<((tmpword&12) >> 2))&~1);
+	printk(KERN_INFO "  - SDRAM size: %d MiB\n", 1<<(6+(tmpword&3)));
 
 	if (tmpword&12)
 		l3func((1<<(((tmpword&12) >> 2)+20)));
@@ -234,7 +234,7 @@
 	int register i;
 	unsigned long tmp;
 	
-	printk("Enabling L3 cache...");
+	printk(KERN_INFO "Enabling L3 cache...");
 
 	/* Enable the L3 cache in the GT64120A's CPU Configuration register */
 	GT_READ(0, &tmp);
@@ -262,7 +262,7 @@
 	/* Let the RM7000 MM code know that the tertiary cache is enabled */
 	rm7k_tcache_enabled = 1;
 
-	printk("Done\n");
+	printk(KERN_INFO "Done\n");
 }
 
 
diff -urN linux-2.6.0-test1/arch/mips/ite-boards/generic/irq.c linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/generic/irq.c
--- linux-2.6.0-test1/arch/mips/ite-boards/generic/irq.c	2003-07-13 23:34:40.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/generic/irq.c	2003-07-17 19:51:08.000000000 -0400
@@ -265,7 +265,7 @@
 	kstat_cpu(cpu).irqs[irq]++;
 #if 0
 	if (irq_desc[irq].handler && irq_desc[irq].handler->ack) {
-	//	printk("invoking ack handler\n");
+	//	printk(KERN_NOTICE "invoking ack handler\n");
 		irq_desc[irq].handler->ack(irq);
 	}
 #endif
@@ -275,7 +275,7 @@
 	if (action && action->handler)
 	{
 		//mask_irq(1<<irq);
-		//printk("action->handler %x\n", action->handler);
+		//printk(KERN_DEBUG "action->handler %x\n", action->handler);
 		disable_it8172_irq(irq);
 		//if (!(action->flags & SA_INTERRUPT)) local_irq_enable(); /* reenable ints */
 		do { 
@@ -292,7 +292,7 @@
 	else
 	{
 		spurious_count++;
-		printk("Unhandled interrupt %d, cause %x, disabled\n", 
+		printk(KERN_WARNING "Unhandled interrupt %d, cause %x, disabled\n", 
 				(unsigned)irq, (unsigned)regs->cp0_cause);
 		disable_it8172_irq(irq);
 	}
@@ -315,7 +315,7 @@
 	 * there.  
          */
 
-	//printk("request_irq: %d handler %x\n", irq, handler);
+	//printk(KERN_DEBUG "request_irq: %d handler %x\n", irq, handler);
         if (irq >= NR_IRQS) 
                 return -EINVAL;
 
@@ -368,7 +368,7 @@
 	enable_it8172_irq(irq);
         restore_flags(flags);	
 #if 0
-	printk("request_irq: status %x cause %x\n", 
+	printk(KERN_NOTICE "request_irq: status %x cause %x\n", 
 			read_32bit_cp0_register(CP0_STATUS), read_32bit_cp0_register(CP0_CAUSE));
 #endif
         return 0;
@@ -469,11 +469,11 @@
 #else
 	unsigned long status, cause;
 
-	printk("got spurious interrupt\n");
+	printk(KERN_NOTICE "got spurious interrupt\n");
 	status = read_32bit_cp0_register(CP0_STATUS);
 	cause = read_32bit_cp0_register(CP0_CAUSE);
-	printk("status %x cause %x\n", status, cause);
-	printk("epc %x badvaddr %x \n", regs->cp0_epc, regs->cp0_badvaddr);
+	printk(KERN_NOTICE "status %x cause %x\n", status, cause);
+	printk(KERN_NOTICE "epc %x badvaddr %x \n", regs->cp0_epc, regs->cp0_badvaddr);
 //	while(1);
 #endif
 }
@@ -496,7 +496,7 @@
 			status >>= 1;
 		}
 		irq += IT8172_PCI_DEV_IRQ_BASE;
-		//printk("pci int %d\n", irq);
+		//printk(KERN_DEBUG "pci int %d\n", irq);
 	}
 	else if (intstatus & 0x1) {
 		/* Local Bus interrupt */
@@ -507,7 +507,7 @@
 			status >>= 1;
 		}
 		irq += IT8172_LB_IRQ_BASE;
-		//printk("lb int %d\n", irq);
+		//printk(KERN_DEBUG "lb int %d\n", irq);
 	}
 	else if (intstatus & 0x2) {
 		/* LPC interrupt */
@@ -523,7 +523,7 @@
 			status >>= 1;
 		}
 		irq += IT8172_LPC_IRQ_BASE;
-		//printk("LPC int %d\n", irq);
+		//printk(KERN_DEBUG "LPC int %d\n", irq);
 	}
 	else {
 		return;
diff -urN linux-2.6.0-test1/arch/mips/ite-boards/generic/it8172_cir.c linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/generic/it8172_cir.c
--- linux-2.6.0-test1/arch/mips/ite-boards/generic/it8172_cir.c	2003-07-13 23:32:33.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/generic/it8172_cir.c	2003-07-17 19:44:36.000000000 -0400
@@ -123,7 +123,7 @@
 
 void dump_regs(struct cir_port *cir)
 {
-	printk("mstcr %x ier %x iir %x cfr %x rcr %x tcr %x tfsr %x rfsr %x\n",
+	printk(KERN_EMERG "mstcr %x ier %x iir %x cfr %x rcr %x tcr %x tfsr %x rfsr %x\n",
 	cir_regs[cir->port]->mstcr,
 	cir_regs[cir->port]->ier,
 	cir_regs[cir->port]->iir,
@@ -134,13 +134,13 @@
 	cir_regs[cir->port]->rfsr);
 
 	while (cir_regs[cir->port]->iir & CIR_RDAI) {
-		printk("data %x\n", cir_regs[cir->port]->dr);
+		printk(KERN_EMERG "data %x\n", cir_regs[cir->port]->dr);
 	}
 }
 
 void dump_reg_addr(struct cir_port *cir)
 {
-	printk("dr %x mstcr %x ier %x iir %x cfr %x rcr %x tcr %x bdlr %x bdhr %x tfsr %x rfsr %x\n",
+	printk(KERN_EMERG "dr %x mstcr %x ier %x iir %x cfr %x rcr %x tcr %x bdlr %x bdhr %x tfsr %x rfsr %x\n",
 	(unsigned)&cir_regs[cir->port]->dr,
 	(unsigned)&cir_regs[cir->port]->mstcr,
 	(unsigned)&cir_regs[cir->port]->ier,
diff -urN linux-2.6.0-test1/arch/mips/ite-boards/generic/it8172_pci.c linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/generic/it8172_pci.c
--- linux-2.6.0-test1/arch/mips/ite-boards/generic/it8172_pci.c	2003-07-13 23:36:37.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/generic/it8172_pci.c	2003-07-17 19:52:01.000000000 -0400
@@ -54,7 +54,7 @@
 	unsigned char dev_fn = (char)devfn;
 
 #ifdef DEBUG_CONFIG_CYCLES
-	printk("it config: type %d bus %d dev_fn %x data %x\n",
+	printk(KERN_DEBUG "it config: type %d bus %d dev_fn %x data %x\n",
 			access_type, bus, dev_fn, *data);
 
 #endif
@@ -103,7 +103,7 @@
 		*val = data;
 
 #ifdef DEBUG
-        	printk("cfg read: bus %d devfn %x where %x size %x: val %x\n", 
+        	printk(KERN_DEBUG "cfg read: bus %d devfn %x where %x size %x: val %x\n", 
                 bus->number, devfn, where, size, *val);
 #endif
 
@@ -147,7 +147,7 @@
 void __init pcibios_init(void)
 {
 
-	printk("PCI: Probing PCI hardware on host bus 0.\n");
+	printk(KERN_INFO "PCI: Probing PCI hardware on host bus 0.\n");
 	pci_scan_bus(0, &it8172_pci_ops, NULL);
 }
 
@@ -174,7 +174,7 @@
 	if (dev->resource[PCI_ROM_RESOURCE].start)
 		cmd |= PCI_COMMAND_MEMORY;
 	if (cmd != old_cmd) {
-		printk("PCI: Enabling device %s (%04x -> %04x)\n", dev->slot_name, old_cmd, cmd);
+		printk(KERN_INFO "PCI: Enabling device %s (%04x -> %04x)\n", dev->slot_name, old_cmd, cmd);
 		pci_write_config_word(dev, PCI_COMMAND, cmd);
 	}
 	return 0;
@@ -185,7 +185,7 @@
 pcibios_align_resource(void *data, struct resource *res,
 		       unsigned long size, unsigned long align)
 {
-    printk("pcibios_align_resource\n");
+    printk(KERN_INFO "pcibios_align_resource\n");
 }
 
 char * __init
@@ -200,7 +200,7 @@
 
 void __init pcibios_fixup_bus(struct pci_bus *b)
 {
-	//printk("pcibios_fixup_bus\n");
+	//printk(KERN_INFO "pcibios_fixup_bus\n");
 }
 
 unsigned __init int pcibios_assign_all_busses(void)
diff -urN linux-2.6.0-test1/arch/mips/ite-boards/generic/it8172_setup.c linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/generic/it8172_setup.c
--- linux-2.6.0-test1/arch/mips/ite-boards/generic/it8172_setup.c	2003-07-13 23:33:13.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/generic/it8172_setup.c	2003-07-17 19:45:40.000000000 -0400
@@ -178,13 +178,13 @@
 
 #ifdef CONFIG_MIPS_ITE8172
 	if (SearchIT8712()) {
-		printk("Found IT8712 Super IO\n");
+		printk(KERN_INFO "Found IT8712 Super IO\n");
 		// enable IT8712 serial port
 		LPCSetConfig(LDN_SERIAL1, 0x30, 0x01); /* enable */
 		LPCSetConfig(LDN_SERIAL1, 0x23, 0x01); /* clock selection */
 #ifdef CONFIG_PC_KEYB
 		if (init_8712_keyboard()) {
-			printk("Unable to initialize keyboard\n");
+			printk(KERN_INFO "Unable to initialize keyboard\n");
 			LPCSetConfig(LDN_KEYBOARD, 0x30, 0x0); /* disable keyboard */
 		}
 		else {
@@ -199,25 +199,25 @@
 
 			if ((LPCGetConfig(LDN_KEYBOARD, 0x30) == 0) || 
 					(LPCGetConfig(LDN_MOUSE, 0x30) == 0)) 
-				printk("Error: keyboard or mouse not enabled\n");
+				printk(KERN_ERR "Error: keyboard or mouse not enabled\n");
 
 			kbd_ops = &std_kbd_ops;
 		}
 #endif
 	}
 	else {
-		printk("IT8712 Super IO not found\n");
+		printk(KERN_WARNING "IT8712 Super IO not found\n");
 	}
 #endif
 
 #ifdef CONFIG_IT8172_CIR
 	{
 		unsigned long data;
-		//printk("Enabling CIR0\n");
+		//printk(KERN_INFO "Enabling CIR0\n");
 		IT_IO_READ16(IT_PM_DSR, data);
 		data &= ~IT_PM_DSR_CIR0SB;
 		IT_IO_WRITE16(IT_PM_DSR, data);
-		//printk("DSR register: %x\n", (unsigned)IT_IO_READ16(IT_PM_DSR, data));
+		//printk(KERN_INFO "DSR register: %x\n", (unsigned)IT_IO_READ16(IT_PM_DSR, data));
 	}
 #endif
 #ifdef CONFIG_IT8172_SCR0
diff -urN linux-2.6.0-test1/arch/mips/ite-boards/generic/pmon_prom.c linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/generic/pmon_prom.c
--- linux-2.6.0-test1/arch/mips/ite-boards/generic/pmon_prom.c	2003-07-13 23:34:33.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/generic/pmon_prom.c	2003-07-17 19:46:26.000000000 -0400
@@ -134,9 +134,9 @@
 #else
 		memsize = 8; 
 #endif
-		printk("memsize unknown: setting to %dMB\n", memsize);
+		printk(KERN_INFO "memsize unknown: setting to %dMB\n", memsize);
 	} else {
-		printk("memsize: %s\n", memsize_str);
+		printk(KERN_INFO "memsize: %s\n", memsize_str);
 		memsize = simple_strtol(memsize_str, NULL, 0);
 	}
 	return memsize;
diff -urN linux-2.6.0-test1/arch/mips/ite-boards/generic/time.c linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/generic/time.c
--- linux-2.6.0-test1/arch/mips/ite-boards/generic/time.c	2003-07-13 23:33:25.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/generic/time.c	2003-07-17 19:46:08.000000000 -0400
@@ -237,14 +237,14 @@
         /* Set Data mode - binary. */ 
         CMOS_WRITE(CMOS_READ(RTC_CONTROL) | RTC_DM_BINARY, RTC_CONTROL);
 
-	printk("calculating r4koff... ");
+	printk(KERN_INFO "calculating r4koff... ");
 	r4k_offset = cal_r4koff();
-	printk("%08lx(%d)\n", r4k_offset, (int) r4k_offset);
+	printk(KERN_INFO "%08lx(%d)\n", r4k_offset, (int) r4k_offset);
 
 	est_freq = 2*r4k_offset*HZ;	
 	est_freq += 5000;    /* round */
 	est_freq -= est_freq%10000;
-	printk("CPU frequency %d.%02d MHz\n", est_freq/1000000, 
+	printk(KERN_INFO "CPU frequency %d.%02d MHz\n", est_freq/1000000, 
 	       (est_freq%1000000)*100/1000000);
 	r4k_cur = (read_32bit_cp0_register(CP0_COUNT) + r4k_offset);
 
diff -urN linux-2.6.0-test1/arch/mips/ite-boards/ivr/pci_fixup.c linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/ivr/pci_fixup.c
--- linux-2.6.0-test1/arch/mips/ite-boards/ivr/pci_fixup.c	2003-07-13 23:37:18.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/ivr/pci_fixup.c	2003-07-17 19:52:22.000000000 -0400
@@ -55,7 +55,7 @@
         };
 
 #ifdef DEBUG
-	printk("board_int_line_fixup bus %d\n", dev->bus->number);
+	printk(KERN_DEBUG "board_int_line_fixup bus %d\n", dev->bus->number);
 #endif
 	if (dev->bus->number != 0)
 		return;
@@ -125,7 +125,7 @@
 	}
 
 #ifdef DEBUG
-	printk("irq fixup: slot %d, vendor %x, int line %d, int number %d\n",
+	printk(KERN_DEBUG "irq fixup: slot %d, vendor %x, int line %d, int number %d\n",
 			slot, vendor, pin, dev->irq);
 #endif
 	pci_write_config_byte(dev, PCI_INTERRUPT_LINE, dev->irq);
diff -urN linux-2.6.0-test1/arch/mips/ite-boards/qed-4n-s01b/init.c linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/qed-4n-s01b/init.c
--- linux-2.6.0-test1/arch/mips/ite-boards/qed-4n-s01b/init.c	2003-07-13 23:39:21.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/qed-4n-s01b/init.c	2003-07-17 19:43:32.000000000 -0400
@@ -70,7 +70,7 @@
 	prom_init_cmdline();
 	mem_size = prom_get_memsize();
 
-	printk("Memory size: %dMB\n", (unsigned)mem_size);
+	printk(KERN_INFO "Memory size: %dMB\n", (unsigned)mem_size);
 
 	mem_size <<= 20; /* MB */
 
diff -urN linux-2.6.0-test1/arch/mips/ite-boards/qed-4n-s01b/pci_fixup.c linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/qed-4n-s01b/pci_fixup.c
--- linux-2.6.0-test1/arch/mips/ite-boards/qed-4n-s01b/pci_fixup.c	2003-07-13 23:32:28.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ite-boards/qed-4n-s01b/pci_fixup.c	2003-07-17 19:43:11.000000000 -0400
@@ -55,7 +55,7 @@
         };
 
 #ifdef DEBUG
-	printk("board_int_line_fixup bus %d\n", dev->bus->number);
+	printk(KERN_DEBUG "board_int_line_fixup bus %d\n", dev->bus->number);
 #endif
 	if (dev->bus->number != 0)
 		return;
@@ -183,7 +183,7 @@
 	}
 
 #ifdef DEBUG
-	printk("irq fixup: slot %d, vendor %x, int line %d, int number %d\n",
+	printk(KERN_DEBUG "irq fixup: slot %d, vendor %x, int line %d, int number %d\n",
 			slot, vendor, pin, dev->irq);
 #endif
 	pci_write_config_byte(dev, PCI_INTERRUPT_LINE, dev->irq);
diff -urN linux-2.6.0-test1/arch/mips/jazz/jazzdma.c linux-2.6.0-test1-printk-mips/arch/mips/jazz/jazzdma.c
--- linux-2.6.0-test1/arch/mips/jazz/jazzdma.c	2003-07-13 23:38:38.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/jazz/jazzdma.c	2003-07-16 16:01:46.000000000 -0400
@@ -80,7 +80,7 @@
 	r4030_write_reg32(JAZZ_R4030_TRSTBL_LIM, VDMA_PGTBL_SIZE);
 	r4030_write_reg32(JAZZ_R4030_TRSTBL_INV, 0);
 
-	printk("VDMA: R4030 DMA pagetables initialized.\n");
+	printk(KERN_INFO "VDMA: R4030 DMA pagetables initialized.\n");
 }
 
 /*
@@ -102,13 +102,13 @@
 
 	if (paddr > 0x1fffffff) {
 		if (vdma_debug)
-			printk("vdma_alloc: Invalid physical address: %08lx\n",
+			printk(KERN_ERR "vdma_alloc: Invalid physical address: %08lx\n",
 			       paddr);
 		return VDMA_ERROR;	/* invalid physical address */
 	}
 	if (size > 0x400000 || size == 0) {
 		if (vdma_debug)
-			printk("vdma_alloc: Invalid size: %08lx\n", size);
+			printk(KERN_ERR "vdma_alloc: Invalid size: %08lx\n", size);
 		return VDMA_ERROR;	/* invalid physical address */
 	}
 
@@ -154,20 +154,20 @@
 
 	if (vdma_debug > 1)
 		printk
-		    ("vdma_alloc: Allocated %d pages starting from %08lx\n",
+		    (KERN_DEBUG "vdma_alloc: Allocated %d pages starting from %08lx\n",
 		     pages, laddr);
 
 	if (vdma_debug > 2) {
-		printk("LADDR: ");
+		printk(KERN_DEBUG "LADDR: ");
 		for (i = first; i < last; i++)
-			printk("%08x ", i << 12);
-		printk("\nPADDR: ");
+			printk(KERN_DEBUG "%08x ", i << 12);
+		printk(KERN_DEBUG "\nPADDR: ");
 		for (i = first; i < last; i++)
-			printk("%08x ", entry[i].frame);
-		printk("\nOWNER: ");
+			printk(KERN_DEBUG "%08x ", entry[i].frame);
+		printk(KERN_DEBUG "\nOWNER: ");
 		for (i = first; i < last; i++)
-			printk("%08x ", entry[i].owner);
-		printk("\n");
+			printk(KERN_DEBUG "%08x ", entry[i].owner);
+		printk(KERN_DEBUG "\n");
 	}
 
 	restore_flags(flags);
@@ -189,7 +189,7 @@
 
 	if (pgtbl[i].owner != laddr) {
 		printk
-		    ("vdma_free: trying to free other's dma pages, laddr=%8lx\n",
+		    (KERN_ERR "vdma_free: trying to free other's dma pages, laddr=%8lx\n",
 		     laddr);
 		return -1;
 	}
@@ -200,7 +200,7 @@
 	}
 
 	if (vdma_debug > 1)
-		printk("vdma_free: freed %ld pages starting from %08lx\n",
+		printk(KERN_DEBUG "vdma_free: freed %ld pages starting from %08lx\n",
 		       i - (laddr >> 12), laddr);
 
 	return 0;
@@ -220,14 +220,14 @@
 	if (laddr > 0xffffff) {
 		if (vdma_debug)
 			printk
-			    ("vdma_map: Invalid logical address: %08lx\n",
+			    (KERN_DEBUG "vdma_map: Invalid logical address: %08lx\n",
 			     laddr);
 		return -EINVAL;	/* invalid logical address */
 	}
 	if (paddr > 0x1fffffff) {
 		if (vdma_debug)
 			printk
-			    ("vdma_map: Invalid physical address: %08lx\n",
+			    (KERN_DEBUG "vdma_map: Invalid physical address: %08lx\n",
 			     paddr);
 		return -EINVAL;	/* invalid physical address */
 	}
@@ -236,10 +236,10 @@
 	    (((paddr & (VDMA_PAGESIZE - 1)) + size) >> 12) + 1;
 	first = laddr >> 12;
 	if (vdma_debug)
-		printk("vdma_remap: first=%x, pages=%x\n", first, pages);
+		printk(KERN_DEBUG "vdma_remap: first=%x, pages=%x\n", first, pages);
 	if (first + pages > VDMA_PGTBL_ENTRIES) {
 		if (vdma_debug)
-			printk("vdma_alloc: Invalid size: %08lx\n", size);
+			printk(KERN_DEBUG "vdma_alloc: Invalid size: %08lx\n", size);
 		return -EINVAL;
 	}
 
@@ -247,7 +247,7 @@
 	while (pages > 0 && first < VDMA_PGTBL_ENTRIES) {
 		if (pgtbl[first].owner != laddr) {
 			if (vdma_debug)
-				printk("Trying to remap other's pages.\n");
+				printk(KERN_DEBUG "Trying to remap other's pages.\n");
 			return -EPERM;	/* not owner */
 		}
 		pgtbl[first].frame = paddr;
@@ -265,16 +265,16 @@
 		int i;
 		pages = (((paddr & (VDMA_PAGESIZE - 1)) + size) >> 12) + 1;
 		first = laddr >> 12;
-		printk("LADDR: ");
+		printk(KERN_DEBUG "LADDR: ");
 		for (i = first; i < first + pages; i++)
-			printk("%08x ", i << 12);
-		printk("\nPADDR: ");
+			printk(KERN_DEBUG "%08x ", i << 12);
+		printk(KERN_DEBUG "\nPADDR: ");
 		for (i = first; i < first + pages; i++)
-			printk("%08x ", pgtbl[i].frame);
-		printk("\nOWNER: ");
+			printk(KERN_DEBUG "%08x ", pgtbl[i].frame);
+		printk(KERN_DEBUG "\nOWNER: ");
 		for (i = first; i < first + pages; i++)
-			printk("%08x ", pgtbl[i].owner);
-		printk("\n");
+			printk(KERN_DEBUG "%08x ", pgtbl[i].owner);
+		printk(KERN_DEBUG "\n");
 	}
 
 	return 0;
@@ -323,34 +323,34 @@
 {
 	int i;
 
-	printk("vdma_stats: CONFIG: %08x\n",
+	printk(KERN_NOTICE "vdma_stats: CONFIG: %08x\n",
 	       r4030_read_reg32(JAZZ_R4030_CONFIG));
-	printk("R4030 translation table base: %08x\n",
+	printk(KERN_NOTICE "R4030 translation table base: %08x\n",
 	       r4030_read_reg32(JAZZ_R4030_TRSTBL_BASE));
-	printk("R4030 translation table limit: %08x\n",
+	printk(KERN_NOTICE "R4030 translation table limit: %08x\n",
 	       r4030_read_reg32(JAZZ_R4030_TRSTBL_LIM));
-	printk("vdma_stats: INV_ADDR: %08x\n",
+	printk(KERN_NOTICE "vdma_stats: INV_ADDR: %08x\n",
 	       r4030_read_reg32(JAZZ_R4030_INV_ADDR));
-	printk("vdma_stats: R_FAIL_ADDR: %08x\n",
+	printk(KERN_NOTICE "vdma_stats: R_FAIL_ADDR: %08x\n",
 	       r4030_read_reg32(JAZZ_R4030_R_FAIL_ADDR));
-	printk("vdma_stats: M_FAIL_ADDR: %08x\n",
+	printk(KERN_NOTICE "vdma_stats: M_FAIL_ADDR: %08x\n",
 	       r4030_read_reg32(JAZZ_R4030_M_FAIL_ADDR));
-	printk("vdma_stats: IRQ_SOURCE: %08x\n",
+	printk(KERN_NOTICE "vdma_stats: IRQ_SOURCE: %08x\n",
 	       r4030_read_reg32(JAZZ_R4030_IRQ_SOURCE));
-	printk("vdma_stats: I386_ERROR: %08x\n",
+	printk(KERN_NOTICE "vdma_stats: I386_ERROR: %08x\n",
 	       r4030_read_reg32(JAZZ_R4030_I386_ERROR));
-	printk("vdma_chnl_modes:   ");
+	printk(KERN_NOTICE "vdma_chnl_modes:   ");
 	for (i = 0; i < 8; i++)
-		printk("%04x ",
+		printk(KERN_NOTICE "%04x ",
 		       (unsigned) r4030_read_reg32(JAZZ_R4030_CHNL_MODE +
 						   (i << 5)));
-	printk("\n");
-	printk("vdma_chnl_enables: ");
+	printk(KERN_NOTICE "\n");
+	printk(KERN_NOTICE "vdma_chnl_enables: ");
 	for (i = 0; i < 8; i++)
-		printk("%04x ",
+		printk(KERN_NOTICE "%04x ",
 		       (unsigned) r4030_read_reg32(JAZZ_R4030_CHNL_ENABLE +
 						   (i << 5)));
-	printk("\n");
+	printk(KERN_NOTICE "\n");
 }
 
 /*
@@ -365,16 +365,16 @@
 	int status;
 
 	if (vdma_debug)
-		printk("vdma_enable: channel %d\n", channel);
+		printk(KERN_DEBUG "vdma_enable: channel %d\n", channel);
 
 	/*
 	 * Check error conditions first
 	 */
 	status = r4030_read_reg32(JAZZ_R4030_CHNL_ENABLE + (channel << 5));
 	if (status & 0x400)
-		printk("VDMA: Channel %d: Address error!\n", channel);
+		printk(KERN_ERR "VDMA: Channel %d: Address error!\n", channel);
 	if (status & 0x200)
-		printk("VDMA: Channel %d: Memory error!\n", channel);
+		printk(KERN_ERR "VDMA: Channel %d: Memory error!\n", channel);
 
 	/*
 	 * Clear all interrupt flags
@@ -403,8 +403,8 @@
 		    r4030_read_reg32(JAZZ_R4030_CHNL_ENABLE +
 				     (channel << 5));
 
-		printk("vdma_disable: channel %d\n", channel);
-		printk("VDMA: channel %d status: %04x (%s) mode: "
+		printk(KERN_DEBUG "vdma_disable: channel %d\n", channel);
+		printk(KERN_DEBUG "VDMA: channel %d status: %04x (%s) mode: "
 		       "%02x addr: %06x count: %06x\n",
 		       channel, status,
 		       ((status & 0x600) ? "ERROR" : "OK"),
@@ -440,7 +440,7 @@
 void vdma_set_mode(int channel, int mode)
 {
 	if (vdma_debug)
-		printk("vdma_set_mode: channel %d, mode 0x%x\n", channel,
+		printk(KERN_DEBUG "vdma_set_mode: channel %d, mode 0x%x\n", channel,
 		       mode);
 
 	switch (channel) {
@@ -464,12 +464,12 @@
 
 	case JAZZ_AUDIOL_DMA:
 	case JAZZ_AUDIOR_DMA:
-		printk("VDMA: Audio DMA not supported yet.\n");
+		printk(KERN_WARNING "VDMA: Audio DMA not supported yet.\n");
 		break;
 
 	default:
 		printk
-		    ("VDMA: vdma_set_mode() called with unsupported channel %d!\n",
+		    (KERN_ERR "VDMA: vdma_set_mode() called with unsupported channel %d!\n",
 		     channel);
 	}
 
@@ -490,7 +490,7 @@
 
 	default:
 		printk
-		    ("VDMA: vdma_set_mode() called with unknown dma mode 0x%x\n",
+		    (KERN_ERR "VDMA: vdma_set_mode() called with unknown dma mode 0x%x\n",
 		     mode);
 	}
 }
@@ -501,7 +501,7 @@
 void vdma_set_addr(int channel, long addr)
 {
 	if (vdma_debug)
-		printk("vdma_set_addr: channel %d, addr %lx\n", channel,
+		printk(KERN_DEBUG "vdma_set_addr: channel %d, addr %lx\n", channel,
 		       addr);
 
 	r4030_write_reg32(JAZZ_R4030_CHNL_ADDR + (channel << 5), addr);
@@ -513,7 +513,7 @@
 void vdma_set_count(int channel, int count)
 {
 	if (vdma_debug)
-		printk("vdma_set_count: channel %d, count %08x\n", channel,
+		printk(KERN_DEBUG "vdma_set_count: channel %d, count %08x\n", channel,
 		       (unsigned) count);
 
 	r4030_write_reg32(JAZZ_R4030_CHNL_COUNT + (channel << 5), count);
@@ -530,7 +530,7 @@
 	    r4030_read_reg32(JAZZ_R4030_CHNL_COUNT + (channel << 5));
 
 	if (vdma_debug)
-		printk("vdma_get_residual: channel %d: residual=%d\n",
+		printk(KERN_DEBUG "vdma_get_residual: channel %d: residual=%d\n",
 		       channel, residual);
 
 	return residual;
@@ -546,7 +546,7 @@
 	enable = r4030_read_reg32(JAZZ_R4030_CHNL_ENABLE + (channel << 5));
 
 	if (vdma_debug)
-		printk("vdma_get_enable: channel %d: enable=%d\n", channel,
+		printk(KERN_DEBUG "vdma_get_enable: channel %d: enable=%d\n", channel,
 		       enable);
 
 	return enable;
diff -urN linux-2.6.0-test1/arch/mips/jmr3927/rbhma3100/setup.c linux-2.6.0-test1-printk-mips/arch/mips/jmr3927/rbhma3100/setup.c
--- linux-2.6.0-test1/arch/mips/jmr3927/rbhma3100/setup.c	2003-07-13 23:38:00.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/jmr3927/rbhma3100/setup.c	2003-07-17 20:03:49.000000000 -0400
@@ -342,13 +342,13 @@
 
 	if (jmr3927_have_isac())
 		jmr3927_io_led_set(0);
-	printk("JMR-TX3927 (Rev %d) --- IOC(Rev %d) DIPSW:%d,%d,%d,%d\n",
+	printk(KERN_INFO "JMR-TX3927 (Rev %d) --- IOC(Rev %d) DIPSW:%d,%d,%d,%d\n",
 	       jmr3927_ioc_reg_in(JMR3927_IOC_BREV_ADDR) & JMR3927_REV_MASK,
 	       jmr3927_ioc_reg_in(JMR3927_IOC_REV_ADDR) & JMR3927_REV_MASK,
 	       jmr3927_dipsw1(), jmr3927_dipsw2(),
 	       jmr3927_dipsw3(), jmr3927_dipsw4());
 	if (jmr3927_have_isac())
-		printk("JMI-3927IO2 --- ISAC(Rev %d) DIPSW:%01x\n",
+		printk(KERN_INFO "JMI-3927IO2 --- ISAC(Rev %d) DIPSW:%01x\n",
 		       jmr3927_isac_reg_in(JMR3927_ISAC_REV_ADDR) & JMR3927_REV_MASK,
 		       jmr3927_io_dipsw());
 }
@@ -386,7 +386,7 @@
 		TX3927_PCFG_SELSIOC(0) | TX3927_PCFG_SELSIO_ALL |
 		(TX3927_PCFG_SELDMA_ALL & ~TX3927_PCFG_SELDMA(1));
 
-	printk("TX3927 -- CRIR:%08lx CCFG:%08lx PCFG:%08lx\n",
+	printk(KERN_INFO "TX3927 -- CRIR:%08lx CCFG:%08lx PCFG:%08lx\n",
 	       tx3927_ccfgptr->crir,
 	       tx3927_ccfgptr->ccfg, tx3927_ccfgptr->pcfg);
 
@@ -430,14 +430,14 @@
 
 #ifdef CONFIG_PCI
 	/* PCIC */
-	printk("TX3927 PCIC -- DID:%04x VID:%04x RID:%02x Arbiter:",
+	printk(KERN_INFO "TX3927 PCIC -- DID:%04x VID:%04x RID:%02x Arbiter:",
 	       tx3927_pcicptr->did, tx3927_pcicptr->vid,
 	       tx3927_pcicptr->rid);
 	if (!(tx3927_ccfgptr->ccfg & TX3927_CCFG_PCIXARB)) {
-		printk("External\n");
+		printk(KERN_INFO "External\n");
 		/* XXX */
 	} else {
-		printk("Internal\n");
+		printk(KERN_INFO "Internal\n");
 
 		/* Reset PCI Bus */
 		jmr3927_ioc_reg_out(0, JMR3927_IOC_RESET_ADDR);
@@ -515,14 +515,14 @@
 
 	conf = read_c0_conf();
                if (!(conf & TX39_CONF_ICE))
-                       printk("TX3927 I-Cache disabled.\n");
+                       printk(KERN_INFO "TX3927 I-Cache disabled.\n");
                if (!(conf & TX39_CONF_DCE))
-                       printk("TX3927 D-Cache disabled.\n");
+                       printk(KERN_INFO "TX3927 D-Cache disabled.\n");
                else if (!(conf & TX39_CONF_WBON))
-                       printk("TX3927 D-Cache WriteThrough.\n");
+                       printk(KERN_INFO "TX3927 D-Cache WriteThrough.\n");
                else if (!(conf & TX39_CONF_CWFON))
-                       printk("TX3927 D-Cache WriteBack.\n");
+                       printk(KERN_INFO "TX3927 D-Cache WriteBack.\n");
                else
-                       printk("TX3927 D-Cache WriteBack (CWF) .\n");
+                       printk(KERN_INFO "TX3927 D-Cache WriteBack (CWF) .\n");
 	}
 }
